#1 COPR fails to build bmo for epel-7 (missing python3-devel)
Opened 2 years ago by netvor. Modified 2 years ago

Since 0.1.5, bmo contains python3 module, but packaged in a way that assumes all python3 is 3.7 (true for F29, false for F28 and probably others).

To fix that, I remade the specfile so that now it uses proper python3-rpm-macros, and BuildRequires: python3-devel (as a good python3 package) but the latter fails to build in the EPEL-7 chroot.

I've reported it to COPR bugzilla and for now disabled the EPEL-7 chroot.


Login to comment on this ticket.

Metadata